<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2006 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "$theme/theme.php";
include_once "include/common.php";
include_once "include/site.php";

$database = site_prolog();

$version_id = pg_escape_string($_REQUEST['version']);
$photo_id   = pg_escape_string($_REQUEST['photo']);

if ($po_user['type'] < $user_type['user']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$photo_version = pg_fetch_row(pg_query($database, "select identifier, master, small_image_path, medium_image_path, large_image_path, users from photo_version, photo where photo.identifier = photo_version.photo and photo_version.identifier='$version_id'"));

/* Enforce ownership */
if (($po_user['type'] != $user_type['administrator']) &&
    ($po_user['id'] != $photo_version[5])) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

if ($photo_version[1] == 't') {
  site_epilog($database);
  header("location: photo.php?photo=$photo_id&detail_info=5");
  exit();
}

pg_query($database, "begin");

$result = pg_query($database, "delete from photo_version where identifier='$version_id'");
if (!$result) {
  pg_query($database, "rollback");
  site_epilog($database);
  header("location: photo.php?photo=$photo_id&detail_info=5");
  exit();
}

error_reporting(0);
unlink($image_repository_path . "/" .$photo_version[2]);
unlink($image_repository_path . "/" .$photo_version[3]);
unlink($image_repository_path . "/" .$photo_version[4]);
error_reporting(1);

pg_query($database, "commit");
site_epilog($database);
header("location: photo.php?photo=$photo_id&detail_info=5");
?>
