<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2006 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/common.php";
include_once "include/profile.php";
include_once "include/site.php";
include_once "$theme/theme.php";

$user_id    = pg_escape_string(isset($_REQUEST['user']) ? $_REQUEST['user'] : 0);

$database = site_prolog();

if ($user_id) {
  $owner_user  = pg_fetch_row(pg_query($database, "select identifier, type from users where identifier=$user_id"));
}

if (($po_user['id'] == $owner_user[0]) && 
    ($po_user['type'] > $user_type['disabled'])) {
  site_epilog($database);
  header("location: my.folder.php");
  exit();
}

site_header($page_width, "Display User");
site_navigator(1);

if ($owner_user[0]) {
  $type = pg_fetch_row(pg_query($database, "select type from users where identifier='$owner_user[0]'"));
}

if (($owner_user[0] == "") || ($type[0] < $user_type['client'])) {
  /* list all users, if no user is specified or the account is disabled */
  site_navigator_status("Users : select a user", "");
  print "&nbsp;<br/>\n";
  $user_list = pg_query($database, "select identifier, last_name, first_name, member_since from users where users.type > $user_type[client] order by last_name, first_name");
  display_users($database, $user_list, $po_user['id']);
  print "&nbsp;<br/>\n";
}
elseif ($type[0] == $user_type['client']) {
  /* display clients */
  $user_name = pg_fetch_row(pg_query($database, "select last_name, first_name from users where users.type = $user_type[client] and identifier=$owner_user[0]"));
  site_navigator_status("<a href=\"user.php\">Users</a> : $user_name[0], $user_name[1]", "");

  if ($po_user['type'] > $user_type['disabled']) {
    $client = pg_fetch_row(pg_query($database, "select identifier from client where users=$po_user[id] and client=$owner_user[0]"));
    if (($client != 0) || ($po_user['type'] == $user_type['administrator'])) {
      print "<table  width=\"100%\"><tr><td align=\"left\">";
      print "$user_name[1] $user_name[0] is one of your registered customers.";
      print "</td></tr></table>";
      print "&nbsp;<br/>\n";
      display_contact_info($database, $po_user['id'], $owner_user[0], $display_header);
      print "&nbsp;<br/>\n";
    }
  }
} else {
  /* display users and the administrator */
  $user_name = pg_fetch_row(pg_query($database, "select last_name, first_name from users where users.type > $user_type[client] and identifier=$owner_user[0]"));
  site_navigator_status("<a href=\"user.php\">Users</a> : $user_name[0], $user_name[1]", "");
  print "&nbsp;<br/>\n";
  display_folders($database, "", $po_user['id'], $po_user['type'], $owner_user[0], "with_header");
  print "&nbsp;<br/>\n";
  display_albums($database, "", $po_user['id'], $po_user['type'], $owner_user[0], $owner_user[1], "with_header");
  print "&nbsp;<br/>\n";

  $equipment_by_user = pg_fetch_row(pg_query($database, "select count_equipment_by_user($owner_user[0], $access[public])"));
  if ($equipment_by_user[0] > 0) {
    print "&nbsp;<br/>\n";
    display_lens($database, $po_user['id'], $owner_user[0]);
    print "&nbsp;<br/>\n";
    display_camera($database, $po_user['id'], $owner_user[0]);
    print "&nbsp;<br/>\n";
    display_profile($database, "flash", $po_user['id'], $owner_user[0]);
    print "&nbsp;<br/>\n";
    display_profile($database, "scanner", $po_user['id'], $owner_user[0]);
    print "&nbsp;<br/>\n";
    display_profile($database, "filter", $po_user['id'], $owner_user[0]);
    print "&nbsp;<br/>\n";
    display_film($database, $po_user['id'], $owner_user[0]);
    print "&nbsp;<br/>\n";
    display_profile($database, "support", $po_user['id'], $owner_user[0]);
    print "&nbsp;<br/>\n";
  }

  if ($po_user['id'] != FALSE) {
    $client = pg_fetch_row(pg_query($database, "select identifier from client where users=$po_user[id] and client=$owner_user[0]"));
    if (($client != 0) || ($po_user['type'] == $user_type['administrator'])) {
      print "<table  width=\"100%\"><tr><td align=\"left\">";
      print "$user_name[1] $user_name[0] is one of your registered customers.";
      print "</td></tr></table>";
      display_contact_info($database, $po_user['id'], $owner_user[0], $display_header);
      print "&nbsp;<br/>\n";
    }

    $already_client = pg_query($database, "select identifier from client where users=$owner_user[0] and client=$po_user[id] and status!=4");
    if (pg_num_rows($already_client) == 0) {
      $photos_by_user = pg_fetch_row(pg_query($database, "select count_photos_by_user($owner_user[0], $access[public])"));
      if ($photos_by_user[0] > 0) {
        print "<table  width=\"100%\"><tr><td align=\"left\">";
        print "If you like these photos you can register and see the protected photos of $user_name[1] $user_name[0].";
        print "</td></tr></table>";
        print "&nbsp;<br/>\n";
      }
      print "<a class=\"nodecor\" href=\"subscription.add.php?user=$owner_user[0]\"><img src=\"$theme/button.subscribe.gif\" border=\"0\" alt=\"Subscribe\" title=\"Subscribe and become a client of this user\"/></a>";
      print "&nbsp;<br/>\n";
    }
  }
}
print "&nbsp;<br/>\n";
site_footer($database);
site_epilog($database);
?>
