<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2006 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/site.php";
include_once "$theme/theme.php";

$return_path = $_REQUEST['return'];

$database   = site_prolog();

if ($po_user['type'] < $user_type['user']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$folder_name = pg_escape_string($_REQUEST['folder_caption']);
$folder_description = pg_escape_string($_REQUEST['folder_description']);
$folder_access_rights = pg_escape_string($_REQUEST['folder_access_rights']);
$folder_parent = pg_escape_string($_REQUEST['parent']);
 
if ($folder_parent != "null") {
  if ($po_user['type'] < $user_type['administrator']) {
    $result = pg_query($database, "select identifier from folder where identifier=$folder_parent and users = $po_user[id]");
    if (pg_num_rows($result) <= 0) {
      site_epilog($database);
      header("location: login.php");
      exit();
    }
  }
 }

global $default_order_by;

if (($folder_name != "") &&
    ($folder_name != "Trash") &&
    ($folder_name != "Orphanage")) {
  $result = pg_query($database, "insert into folder (identifier, parent_folder, users, caption, description, date_of_creation, access_rights, orderby)
                                 values (nextval('folder_id_sequence'), $folder_parent,
'$po_user[id]', '$folder_name', '$folder_description', now(), $folder_access_rights, $default_order_by)");
  if (!$result) {
    // print "Failed to create new folder: $folder_name";
    exit();
  }
}

site_epilog($database);
if ($folder_parent == "null") {
  header("location: my.folder.php");
} else {
  header("location: folder.php?folder=$folder_parent");
}
?>
