<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2006 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/tools.php";
include_once "include/mime.php";
include_once "$theme/theme.php";
include_once "include/common.php";
include_once "include/import.php";
include_once "include/site.php";

$database = site_prolog();

if ($po_user['type'] < $user_type['user']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$shop_item       = pg_escape_string($_REQUEST['shop_item']);
$currency        = pg_escape_string($_REQUEST['currency']);
$price           = pg_escape_string($_REQUEST['price']);
$remark          = pg_escape_string($_REQUEST['remark']);

if (!$price) {
  $price = "null";
}

pg_query($database, "
    insert into shop_item_generator_rule
              (identifier, users, shop_item, price, currency, comment, date_of_creation, date_of_last_edit)
       values (nextval('shop_item_generator_rule_id_sequence'), $po_user[id], $shop_item, $price, $currency, '$remark', now(), now())");

site_epilog($database);
header("location: my.tools.php?selector=2");
?>
